Author vstinner
Recipients Natanael Copa, benjamin.peterson, christian.heimes, georg.brandl, jeremy.kloth, jkloth, larry, matrixise, ned.deily, vstinner, yan12125
Date 2017-07-11.19:51:10
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1499802670.21.0.828595584184.issue29591@psf.upfronthosting.co.za>
In-reply-to
Content
> I don't quite understand what's happening on this issue.  I see that master, 3.6, 3.6, and 2.7 have been upgraded to expat 2.2.0.  This issue was created to upgrade CPython to 2.2.0.  But the PR against 3.3 and 3.4 upgrade expat to 2.2.1?!
>
> I'm not against this change in principle, I'm just trying to understand why a) it doesn't match the issue, b) why 3.3 and 3.4 are special, c) why we don't upgrade master & 3.6 & 3.5 & 2.7 to expat 2.2.1.

I upgraded libexpat to 2.2.0 in this issue, and then to libexpat 2.2.1 in bpo-30694.

For 3.3 and 3.4 pull requests, I chose to use this bpo number.

3.3: https://github.com/python/cpython/pull/2204
3.4: https://github.com/python/cpython/pull/2203

So these pull requests upgrade directly to 2.2.1.
History
Date User Action Args
2017-07-11 19:51:10vstinnersetrecipients: + vstinner, georg.brandl, larry, christian.heimes, benjamin.peterson, jkloth, ned.deily, jeremy.kloth, matrixise, yan12125, Natanael Copa
2017-07-11 19:51:10vstinnersetmessageid: <1499802670.21.0.828595584184.issue29591@psf.upfronthosting.co.za>
2017-07-11 19:51:10vstinnerlinkissue29591 messages
2017-07-11 19:51:10vstinnercreate